Page MenuHomePhabricator

revlog: add a way to control sidedata changes during revlog.clone
ClosedPublic

Authored by marmoute on Oct 1 2019, 12:07 PM.

Details

Summary

We introduce a new argument to pass a callable dealing with the side data logic.
Since the side data are usually associated to higher level logic, the revlog
code itself is unlikely to know that to do itself. As a result the higher level
upgrade code will be responsible to decide what needs to changes. The lower
level revlog.clone just get simple instructions to apply.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Oct 1 2019, 12:07 PM
marmoute updated this revision to Diff 16772.Oct 2 2019, 12:08 AM
marmoute updated this revision to Diff 16945.Oct 7 2019, 8:36 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.